<template>
  <div class="site-footer_socials">
    <a
      v-for="socialLink in getSocialLinks"
      :key="socialLink.name"
      :href="socialLink.url"
      class="site-footer_social icon"
      :class="`icon-${socialLink.name}`"
      :title="socialLink.text"
      target="_blank"
      @click="
        $utils.gtmEvent({
          event: 'gtm.event',
          EventCategory: 'Social',
          EventAction: socialLink.name,
          EventLabel: 'Suivre_Footer'
        })
      "
    ></a>
  </div>
</template>

<script>
const socialLinks = [
  {
    name: 'facebook',
    url: '#',
    text: 'footer.socialLinks.facebook'
  },
  {
    name: 'twitter',
    url: '#',
    text: 'footer.socialLinks.twitter'
  },
  {
    name: 'pinterest',
    url: '#',
    text: 'footer.socialLinks.pinterest'
  },
  {
    name: 'instagram',
    url: '#',
    text: 'footer.socialLinks.instagram'
  }
]

export default {
  name: 'FooterSocialLinks',
  props: {
    lang: {
      type: String,
      required: true
    }
  },

  computed: {
    getSocialLinks() {
      return socialLinks.map((v) => ({
        name: v.name,
        url: this.$t(`socialurls.${v.name}`, this.lang),
        text: this.$t(v.text, this.lang)
      }))
    }
  }
}
</script>
